#include <hidef.h> 
#include "derivative.h"
int a=0; //pomocná proměnná

void interrupt VectorNumber_Vtod preruseniTOD(){

TODSC_QSECF=1; //vynulování čtvrt-sekundového přerušení
a++;

PTCD_PTCD2=!PTCD_PTCD2; //negace stavu LED diody 1

if(a==2){ //provedeni každou půl-sekundu
PTCD_PTCD3=!PTCD_PTCD3; //negace stavu LED diody 2
}

if(a==4){ //provedeni každou sekundu
PTCD_PTCD4=!PTCD_PTCD4; //negace stavu LED diody 3
a=0;
}

}

void main(void) {

  EnableInterrupts; //povolení přerušení

  PTCDD=0x1C; //konfigurace pinů LED diod 1 až 3 jako výstupních
  PTCD=0x1C;  //zhasnutí LED diod 1 až 3
  
  //-inicializace-modulu-TOD-
  TODC_TODEN=0; //vypnutí časovače
  TODC=0x20;    //hodinový zdroj LPO, předdělič pro LPO
  TODSC=0x10;   //povolení čtvrsekundového přerušení
  TODC_TODEN=1; //zapnutí časovače TOD
  //-------------------------



  for(;;) {
    __RESET_WATCHDOG(); //reset registru watchdog
  } 
}
